Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractAnnotationAttributeMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractAnnotationAttributeMetaData

All Implemented Interfaces:
  AnnotationAttributeMetaData, Cloneable, org.jboss.util.JBossInterface, MetaDataVisitorNode

public class AbstractAnnotationAttributeMetaData
extends org.jboss.util.JBossObject
implements AnnotationAttributeMetaData

Metadata for an annotation attribute.

Version:
  $Revision: 1.3 $
Author:
  Adrian Brock

Field Summary
`protected String` | `name` The attribute name
`protected ValueMetaData` | `value` The attribute value

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractAnnotationAttributeMetaData()` Create a new annotation attribute meta data
`AbstractAnnotationAttributeMetaData(String name, Object value)` Create a new annotation meta data
`AbstractAnnotationAttributeMetaData(String name, String value)` Create a new annotation meta data
`AbstractAnnotationAttributeMetaData(String name, ValueMetaData value)` Create a new annotation meta data

Method Summary
`Iterator` | `getChildren()` Return the child nodes
`String` | `getName()` Get the name
`ValueMetaData` | `getValue()` Get the value.
`void` | `setName(String name)` Set the name
`void` | `setValue(ValueMetaData value)` Set the value
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `visit(MetaDataVisitor visitor)` Visit the node

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Field Detail

### name

    protected String name

  The attribute name

### value

    protected ValueMetaData value

  The attribute value

Constructor Detail

### AbstractAnnotationAttributeMetaData

    public AbstractAnnotationAttributeMetaData()

  Create a new annotation attribute meta data

### AbstractAnnotationAttributeMetaData

    public AbstractAnnotationAttributeMetaData(String name,
                                               Object value)

  Create a new annotation meta data

Parameters:
  `name` - the name
  `value` - the value

### AbstractAnnotationAttributeMetaData

    public AbstractAnnotationAttributeMetaData(String name,
                                               String value)

  Create a new annotation meta data

Parameters:
  `name` - the name
  `value` - the string value

### AbstractAnnotationAttributeMetaData

    public AbstractAnnotationAttributeMetaData(String name,
                                               ValueMetaData value)

  Create a new annotation meta data

Parameters:
  `name` - the name
  `value` - the value meta data

Method Detail

### setName

    public void setName(String name)

  Set the name

  Parameters:
    `name` - the name

### setValue

    public void setValue(ValueMetaData value)

  Set the value

  Parameters:
    `value` - the value

### getName

    public String getName()

  Description copied from interface: `AnnotationAttributeMetaData`
  Get the name

  Specified by:
    `getName` in interface `AnnotationAttributeMetaData`
  Returns:
    the name

### getValue

    public ValueMetaData getValue()

  Description copied from interface: `AnnotationAttributeMetaData`
  Get the value.

  Specified by:
    `getValue` in interface `AnnotationAttributeMetaData`
  Returns:
    the value.

### visit

    public void visit(MetaDataVisitor visitor)

  Description copied from interface: `MetaDataVisitorNode`
  Visit the node

  Specified by:
    `visit` in interface `MetaDataVisitorNode`
  Parameters:
    `visitor` - the visitor

### getChildren

    public Iterator getChildren()

  Description copied from interface: `MetaDataVisitorNode`
  Return the child nodes

  Specified by:
    `getChildren` in interface `MetaDataVisitorNode`
  Returns:
    Iterator or null if there aren't any

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

  Specified by:
    `toShortString` in interface `org.jboss.util.JBossInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.